<?php

namespace Drupal\cache_control_headers;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;

/**
 * Modifies the finish_response_subscriber for Cache-Control Headers.
 */
class CacheControlHeadersServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    $definition = $container->getDefinition('finish_response_subscriber');
    $definition->setClass('Drupal\cache_control_headers\EventSubscriber\CacheControlResponseSubscriber');
  }

}
